package com.tofly.mq.config;

/**
 * @author tuonbed
 * @date 2020/6/2  17:45
 */
public class TestMain {
    public static void main(String[] args) {
        TestPojo testPojo=new TestPojo();
        testPojo.setName("aaa");
        testPojo.setAge(11);
        testPojo.setSex("222");
//        String msg= JSON.toJSONString(testPojo);
//        TestPojo testPojo1=KafkaMsgtoPojo.getMsgtoPojo(msg,TestPojo.class);
//        System.out.println(testPojo1);
//        boolean annotationPresent = testPojo.getClass().isAnnotationPresent(ToflyKafkaPojo.class);
//        ToflyKafkaPojo toflyKafkaPojo= AnnotationUtils.findAnnotation(testPojo.getClass(),ToflyKafkaPojo.class);
//        String topic = toflyKafkaPojo.topic();
//        System.out.println(topic);
        KafkaRroducer kafkaRroducer=new KafkaRroducer();
        kafkaRroducer.sendMsg(testPojo);
    }
}
